Commit Activity
curl --request POST \
--url https://api.example.com/ai/activities/commit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "note",
"subject": "<string>",
"body": "<string>",
"account_id": "<string>",
"deal_id": "<string>",
"contact_id": "<string>",
"owner_id": "<string>"
}
'import requests
url = "https://api.example.com/ai/activities/commit"
payload = {
"type": "note",
"subject": "<string>",
"body": "<string>",
"account_id": "<string>",
"deal_id": "<string>",
"contact_id": "<string>",
"owner_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: 'note',
subject: '<string>',
body: JSON.stringify('<string>'),
account_id: '<string>',
deal_id: '<string>',
contact_id: '<string>',
owner_id: '<string>'
})
};
fetch('https://api.example.com/ai/activities/commit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}AI
Commit Activity
Log an activity via the AI skill (scope: activities:manage).
POST
/
ai
/
activities
/
commit
Commit Activity
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Successful Response
⌘I